commit: 985ca42f3675bfea3e7f2daab2695101f0fc95d2
Author: Michael Palimaka <kensington <AT> gentoo <DOT> org>
AuthorDate: Thu Feb 21 10:35:56 2019 +0000
Commit: Michael Palimaka <kensington <AT> gentoo <DOT> org>
CommitDate: Fri Feb 22 06:52:43 2019 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=985ca42f
app-misc/asciinema: version bump 2.0.2
Package-Manager: Portage-2.3.51, Repoman-2.3.12
Signed-off-by: Michael Palimaka <kensington <AT> gentoo.org>
app-misc/asciinema/Manifest | 1 +
app-misc/asciinema/asciinema-2.0.2.ebuild | 30 ++++++++++++++++++++++++++++++
2 files changed, 31 insertions(+)
diff --git a/app-misc/asciinema/Manifest b/app-misc/asciinema/Manifest
index 31f4f66a7db..cb3880cd117 100644
--- a/app-misc/asciinema/Manifest
+++ b/app-misc/asciinema/Manifest
@@ -1 +1,2 @@
DIST asciinema-2.0.1.tar.gz 48597 BLAKE2B
9179d19c3c6980f35004145fc109dfa938fa020e1982389f7309c7716f8e18914fb8db46e74b2d778b043399d00a3348e499e9fc1849f5f02e1a729c8bde6084
SHA512
abc7e2a83032520d42b45524fbd103bd974b6857274fbb923b274d11f0a81a8d06cd1e97f1b7d6432a47e1ded6df5e37e52c69caaf7f15b1bf8b53f17dfc07d1
+DIST asciinema-2.0.2.tar.gz 50058 BLAKE2B
db04e21f41b76a7b2be1ca119b2c0a2ff29c9e525c35180d2506722b12c7d139087d0a102bd984cecd7d69e2da0ce8ac0f4bc83c631bc1373fecc8de2d29f107
SHA512
27ae831494c2532270940c3e0fedc87ebbdc1e9d8d24c37d1b63d3f74d9722d38e867fa1b46656249e5b0a84ed7ed32bb21da65f06e9c6a8b787aebdce2068f3
diff --git a/app-misc/asciinema/asciinema-2.0.2.ebuild
b/app-misc/asciinema/asciinema-2.0.2.ebuild
new file mode 100644
index 00000000000..fd0caf8e3a5
--- /dev/null
+++ b/app-misc/asciinema/asciinema-2.0.2.ebuild
@@ -0,0 +1,30 @@
+# Copyright 1999-2019 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{4,5,6} )
+inherit distutils-r1
+
+DESCRIPTION="Command line recorder for asciinema.org service"
+HOMEPAGE="https://asciinema.org/ https://pypi.org/project/asciinema/"
+SRC_URI="https://github.com/${PN}/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-3+"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="test"
+
+DEPEND="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ test? ( dev-python/nose[${PYTHON_USEDEP}] )
+"
+
+python_prepare_all() {
+ distutils-r1_python_prepare_all
+ sed -i -e "s|data_files=\[('share/doc/asciinema|&-${PVR}|" setup.py ||
die
+}
+
+python_test() {
+ nosetests || die
+}